Skip to main content
GET
Batch locations

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

page_size
number
default:50

Optional - used to set page size value

Required range: 10 <= x <= 500
cursor
string

Optional - pass cursor from previous response body to get next page.

last_updated
string

Optional - when set, only locations updated after this date are returned. example 2024-05-27T10:44:48Z.

countries
string

Optional - when set, only locations in these countries are returned. example DEU or DEU,FRA.

power_type
string

Optional - when set, only locations having at least one connector with this power_type are returned. possible values: AC or DC.

Response

OK

Paginated response containing a batch of charging locations.

locations
object[]
required

Locations returned in the current page.

cursor
string

The cursor pointing to the next page, when missing it means there are no more pages to fetch.